package com.ruoyi.branch.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 支部园地宣传对象 t_branch_publicize
 * 
 * @author ruoyi
 * @date 2023-07-27
 */
public class TBranchPublicize extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @Excel(name = "主键id")
    private Long publicizeId;

    /** 标题 */
    @Excel(name = "标题")
    private String publicizeTitle;

    /** 内容 */
    @Excel(name = "内容")
    private String publicizeContent;

    /** 是否置顶（1是 0否） */
    @Excel(name = "是否置顶", readConverterExp = "1=是,0=否")
    private String isPinned;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setPublicizeId(Long publicizeId) 
    {
        this.publicizeId = publicizeId;
    }

    public Long getPublicizeId() 
    {
        return publicizeId;
    }

    public void setPublicizeTitle(String publicizeTitle) 
    {
        this.publicizeTitle = publicizeTitle;
    }

    public String getPublicizeTitle() 
    {
        return publicizeTitle;
    }

    public void setPublicizeContent(String publicizeContent) 
    {
        this.publicizeContent = publicizeContent;
    }

    public String getPublicizeContent() 
    {
        return publicizeContent;
    }

    public void setIsPinned(String isPinned) 
    {
        this.isPinned = isPinned;
    }

    public String getIsPinned() 
    {
        return isPinned;
    }

    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("publicizeId", getPublicizeId())
            .append("publicizeTitle", getPublicizeTitle())
            .append("publicizeContent", getPublicizeContent())
            .append("isPinned", getIsPinned())
            .append("deptId", getDeptId())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
